import { ChainId } from '../../constants'
import { Config } from '../types'
import { Token } from '../../entities'

export const config: Config = {
    advisor: {
        url: 'https://api.symbiosis.finance/calculations',
    },
    limits: [],
    omniPools: [
        {
            // usd
            chainId: ChainId.BOBA_BNB,
            address: '0x6148FD6C649866596C3d8a971fC313E5eCE84882',
            oracle: '0x7775b274f0C3fA919B756b22A4d9674e55927ab8',
            generalPurpose: true,
        },
        {
            // eth
            chainId: ChainId.BOBA_BNB,
            address: '0xBcc2637DFa64999F75abB53a7265b5B4932e40eB',
            oracle: '0x628613064b1902a1A422825cf11B687C6f17961E',
            generalPurpose: true,
        },
        {
            // btc
            chainId: ChainId.BOBA_BNB,
            address: '0xA267C428b16728831Be52b144F78b8F054411f55',
            oracle: '0xECBe427C8F8ea1Ee5258cAf5aB0A9d26b4D91769',
            generalPurpose: false,
        },
        {
            // ladys
            chainId: ChainId.BOBA_BNB,
            address: '0x7b905059Bdd00844280EBf54E00A087006B2D242',
            oracle: '0x82E7034ED28674c185E0d03dF5eBd8cAa5f37Bb5',
            generalPurpose: false,
        },
        {
            // sis
            chainId: ChainId.BOBA_BNB,
            address: '0xB5D99bE6089720d1aD3DB2a5a16D5765605704df',
            oracle: '0xcd3DCFabA22CE28fA8b8D9e8bf545D642F4f458E',
            generalPurpose: false,
        },
        // {
        //     // puf
        //     chainId: ChainId.BOBA_BNB,
        //     address: '0x50DF155DAab4548F4512F6568deD8d42dbf3EE96',
        //     oracle: '0xBc70e59BFF8abcC0f18a40D2c6fF6A4AE42586F9',
        //     generalPurpose: false,
        // },
        {
            // frax
            chainId: ChainId.BOBA_BNB,
            address: '0xdc25D04cb14E114426bFc43877e1Fd32C336eA4E',
            oracle: '0x4CD678FF53538E6b084464da0020422738B46038',
            generalPurpose: false,
        },
        {
            // G
            chainId: ChainId.BOBA_BNB,
            address: '0x8D2209E88f68324c6241bCAA7d24538ebe94e2Ee',
            oracle: '0xA7614e3427f52b04EeD23c7371a382640bD6C463',
            generalPurpose: false,
        },
        {
            // WTON
            chainId: ChainId.BOBA_BNB,
            address: '0xDFCaCf059062C5c495436cE534AEeDcD2265Cc23',
            oracle: '0xe717C95007cA64334c9facFFC1975310C3B98EE8',
            generalPurpose: false,
        },
        {
            // CATI
            chainId: ChainId.BOBA_BNB,
            address: '0x8A71e95adFB7355d060D70b59954B065e3BD35EE',
            oracle: '0x6B8521C0F46B76A55af7333Bc025e7B9480087C8',
            generalPurpose: false,
        },
        {
            // UXLINK
            chainId: ChainId.BOBA_BNB,
            address: '0x539E9071D542d6Ec7415Cb9DAa4aD20be1307CcB',
            oracle: '0xAf0183a29201DcDAf5Bd1511518ac9264Fc83514',
            generalPurpose: false,
        },
        {
            // PINEYE
            chainId: ChainId.BOBA_BNB,
            address: '0xD122cD767d076B77a873Ca1CDEeE74f2552B367A',
            oracle: '0xDdf91d7A1049f84255BA2593EFFEE8575a327f4D',
            generalPurpose: false,
        },
        {
            // WBNB
            chainId: ChainId.BOBA_BNB,
            address: '0x4A277A204f0537153C2022a60D5EbA4C5c0f59BA',
            oracle: '0x8C4C570fb2DAa7Ce5eB73d0eee132bD90012B307',
            generalPurpose: false,
        },
    ],
    revertableAddress: {
        [ChainId.TRON_MAINNET]: '0xd99ac0681b904991169a4f398B9043781ADbe0C3',
        default: '0xd99ac0681b904991169a4f398B9043781ADbe0C3',
    },
    refundAddress: '0xd99ac0681b904991169a4f398B9043781ADbe0C3',
    btcConfigs: [
        {
            btc: new Token({
                deprecated: true,
                name: 'Bitcoin',
                symbol: 'BTC',
                address: '0xc102C66D4a1e1865Ee962084626Cf4c27D5BFc74',
                chainId: ChainId.BTC_MAINNET,
                decimals: 8,
                icons: {
                    large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1.png',
                    small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1.png',
                },
            }),
            symBtc: {
                address: '0x49731d3c7234619a74B4c095838AfbC19cC44f28',
                chainId: ChainId.ZKSYNC_MAINNET,
            },
            forwarderUrl: 'https://btc-forwarder.symbiosis.finance/zksync/forwarder/api/v1',
        },
        {
            btc: new Token({
                name: 'Bitcoin',
                symbol: 'BTC',
                address: '0x1dfc1e32d75b3f4cb2f2b1bcecad984e99eeba05',
                chainId: ChainId.BTC_MAINNET,
                decimals: 8,
                icons: {
                    large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1.png',
                    small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1.png',
                },
            }),
            symBtc: {
                address: '0xa1262496e84a9663b7AB64ed96C152A23d0B7214',
                chainId: ChainId.BSC_MAINNET,
            },
            forwarderUrl: 'https://btc-forwarder.symbiosis.finance/bsc/forwarder/api/v1',
        },
        {
            btc: new Token({
                name: 'Bitcoin',
                symbol: 'BTC',
                address: '0x334524a0adb21425afcf77ac40580d68e30e51d8',
                chainId: ChainId.BTC_MAINNET,
                decimals: 8,
                icons: {
                    large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1.png',
                    small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1.png',
                },
            }),
            symBtc: {
                address: '0xc17d768bf4fdc6f20a4a0d8be8767840d106d077',
                chainId: ChainId.RSK_MAINNET,
            },
            forwarderUrl: 'https://btc-forwarder.symbiosis.finance/rsk/forwarder/api/v1',
        },
    ],
    chains: [
        {
            id: ChainId.BTC_MAINNET,
            rpc: 'https://mempool.space/api',
            filterBlockOffset: 0,
            stables: [],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0x0000000000000000000000000000000000000000',
            metaRouterGateway: '0x0000000000000000000000000000000000000000',
            bridge: '0x0000000000000000000000000000000000000000',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x0000000000000000000000000000000000000000',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x0000000000000000000000000000000000000000',
        },
        {
            id: ChainId.ETH_MAINNET,
            rpc: 'https://ethereum-rpc.publicnode.com',
            spareRpcs: ['https://rpc.ankr.com/eth', 'https://eth.llamarpc.com', 'https://eth-pokt.nodies.app'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    address: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
                    symbol: 'USDC',
                    decimals: 6,
                    chainId: ChainId.ETH_MAINNET,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Symbiosis',
                    symbol: 'SIS',
                    address: '0xd38BB40815d2B0c2d2c866e0c72c5728ffC76dd9',
                    chainId: ChainId.ETH_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/15084.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/15084.png',
                    },
                },
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2',
                    chainId: ChainId.ETH_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'Tether USD',
                    symbol: 'USDT',
                    address: '0xdAC17F958D2ee523a2206206994597C13D831ec7',
                    chainId: ChainId.ETH_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/825.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/825.png',
                    },
                },
                {
                    deprecated: true,
                    name: 'Wrapped BTC',
                    symbol: 'WBTC',
                    address: '0x2260FAC5E5542a773Aa44fBCfeDf7C193bc2C599',
                    chainId: ChainId.ETH_MAINNET,
                    decimals: 8,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3717.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3717.png',
                    },
                },
                {
                    name: 'Milady Meme Coin',
                    symbol: 'LADYS',
                    address: '0x12970E6868f88f6557B76120662c1B3E50A646bf',
                    chainId: ChainId.ETH_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/25023.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/25023.png',
                    },
                },
                {
                    name: 'pufETH',
                    symbol: 'pufETH',
                    address: '0xD9A442856C234a39a81a089C06451EBAa4306a72',
                    chainId: ChainId.ETH_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/29325.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/29325.png',
                    },
                },
                {
                    name: 'Frax',
                    symbol: 'FRAX',
                    address: '0x853d955aCEf822Db058eb8505911ED77F175b99e',
                    chainId: ChainId.ETH_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/6952.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/6952.png',
                    },
                },
                {
                    name: 'Gravity',
                    symbol: 'G',
                    address: '0x9C7BEBa8F6eF6643aBd725e45a4E8387eF260649',
                    chainId: ChainId.ETH_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32120.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/32120.png',
                    },
                },
                {
                    deprecated: true,
                    name: 'Wrapped TON',
                    symbol: 'WTON',
                    address: '0x582d872A1B094FC48F5DE31D3B73F2D9bE47def1',
                    chainId: ChainId.ETH_MAINNET,
                    decimals: 9,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/11419.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/11419.png',
                    },
                },
            ],
            router: '0x7a250d5630B4cF539739dF2C5dAcb4c659F2488D',
            dexFee: 30,
            metaRouter: '0xf621Fb08BBE51aF70e7E0F4EA63496894166Ff7F',
            metaRouterGateway: '0xfCEF2Fe72413b65d3F393d278A714caD87512bcd',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x49d3Fc00f3ACf80FABCb42D7681667B20F60889A',
        },
        {
            id: ChainId.BSC_MAINNET,
            rpc: 'https://bsc-rpc.publicnode.com',
            spareRpcs: ['https://rpc.ankr.com/bsc', 'https://binance.llamarpc.com'],
            filterBlockOffset: 1000,
            partnerFeeCollector: '0xc6a2C8D42086B13A577e1c300663451Ae405b767',
            stables: [
                {
                    name: 'USD Coin',
                    address: '0x8AC76a51cc950d9822D68b83fE1Ad97B32Cd580d',
                    symbol: 'USDC',
                    decimals: 18,
                    chainId: ChainId.BSC_MAINNET,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    deprecated: true,
                    name: 'BUSD Token',
                    address: '0xe9e7CEA3DedcA5984780Bafc599bD69ADd087D56',
                    symbol: 'BUSD',
                    decimals: 18,
                    chainId: ChainId.BSC_MAINNET,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/4687.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/4687.png',
                    },
                },
                {
                    name: 'Ethereum Token',
                    symbol: 'ETH',
                    address: '0x2170ed0880ac9a755fd29b2688956bd959f933f8',
                    chainId: ChainId.BSC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'Binance-Peg BTCB Token',
                    symbol: 'BTCB',
                    address: '0x7130d2A12B9BCbFAe4f2634d864A1Ee1Ce3Ead9c',
                    chainId: ChainId.BSC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/4023.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/4023.png',
                    },
                },
                {
                    name: 'Symbiosis',
                    symbol: 'SIS',
                    address: '0xF98b660AdF2ed7d9d9D9dAACC2fb0CAce4F21835',
                    chainId: ChainId.BSC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/15084.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/15084.png',
                    },
                },
                {
                    name: 'Gravity',
                    symbol: 'G',
                    address: '0x9C7BEBa8F6eF6643aBd725e45a4E8387eF260649',
                    chainId: ChainId.BSC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32120.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/32120.png',
                    },
                },
                {
                    deprecated: true,
                    name: 'Wrapped TON',
                    symbol: 'WTON',
                    address: '0x76A797A59Ba2C17726896976B7B3747BfD1d220f',
                    chainId: ChainId.BSC_MAINNET,
                    decimals: 9,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/11419.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/11419.png',
                    },
                },
                {
                    name: 'GPT Wars',
                    symbol: 'GPTW',
                    address: '0xB3F4D70C6a18cC0F2D1205dbF3B21cB73e1B0592',
                    chainId: ChainId.BSC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://assets.coingecko.com/coins/images/51157/standard/GPTW_200x200.png?1730238893',
                        small: 'https://assets.coingecko.com/coins/images/51157/standard/GPTW_200x200.png?1730238893',
                    },
                },
                {
                    name: 'Symbiosis BTC',
                    symbol: 'syBTC',
                    address: '0xA67c48F86Fc6d0176Dca38883CA8153C76a532c7',
                    chainId: ChainId.BSC_MAINNET,
                    decimals: 8,
                    icons: {
                        large: 'https://assets.coingecko.com/coins/images/50472/standard/NewOption_06.png?1727849200',
                        small: 'https://assets.coingecko.com/coins/images/50472/standard/NewOption_06.png?1727849200',
                    },
                },
                {
                    name: 'PinEye',
                    symbol: 'PINEYE',
                    address: '0x4b3a2187648902082db0a44e8235d57F3f23DD10',
                    chainId: ChainId.BSC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/33862.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/33862.png',
                    },
                },
                {
                    name: 'Wrapped BNB',
                    symbol: 'WBNB',
                    address: '0xbb4CdB9CBd36B01bD1cBaEBF2De08d9173bc095c',
                    chainId: ChainId.BSC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/7192.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/7192.png',
                    },
                },
            ],
            router: '0x10ED43C718714eb63d5aA57B78B54704E256024E',
            dexFee: 25,
            metaRouter: '0x44487a445a7595446309464A82244B4bD4e325D5',
            metaRouterGateway: '0x5c97D726bf5130AE15408cE32bc764e458320D2f',
            bridge: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
            synthesis: '0x6B1bbd301782FF636601fC594Cd7Bfe74871bfaA',
            portal: '0x5Aa5f7f84eD0E5db0a4a85C3947eA16B53352FD4',
            fabric: '0xc17d768Bf4FdC6f20a4A0d8Be8767840D106D077',
            multicallRouter: '0x44b5d0F16Ad55c4e7113310614745e8771b963bB',
        },
        {
            id: ChainId.AVAX_MAINNET,
            rpc: 'https://avalanche-c-chain-rpc.publicnode.com',
            spareRpcs: ['https://rpc.ankr.com/avalanche', 'https://api.avax.network/ext/bc/C/rpc'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    address: '0xB97EF9Ef8734C71904D8002F8b6Bc66Dd9c48a6E',
                    symbol: 'USDC',
                    decimals: 6,
                    chainId: 43114,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    deprecated: true,
                    name: 'USD Coin',
                    address: '0xA7D7079b0FEaD91F3e65f86E8915Cb59c1a4C664',
                    symbol: 'USDC.e',
                    decimals: 6,
                    chainId: 43114,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
            ],
            router: '0xE54Ca86531e17Ef3616d22Ca28b0D458b6C89106',
            dexFee: 30,
            metaRouter: '0x6F0f6393e45fE0E7215906B6f9cfeFf53EA139cf',
            metaRouterGateway: '0x4cfA66497Fa84D739a0f785FBcEe9196f1C64e4a',
            bridge: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0xE75C7E85FE6ADd07077467064aD15847E6ba9877',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xDc9a6a26209A450caC415fb78487e907c660cf6a',
        },
        {
            id: ChainId.MATIC_MAINNET,
            rpc: 'https://polygon-bor-rpc.publicnode.com',
            spareRpcs: ['https://rpc.ankr.com/polygon', 'https://polygon.llamarpc.com', 'https://polygon.meowrpc.com'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin (PoS) (USDC.e)',
                    address: '0x2791bca1f2de4661ed88a30c99a7a9449aa84174',
                    symbol: 'USDC.e',
                    decimals: 6,
                    chainId: ChainId.MATIC_MAINNET,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x7ceb23fd6bc0add59e62ac25578270cff1b9f619',
                    chainId: ChainId.MATIC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'Frax',
                    symbol: 'FRAX',
                    address: '0x45c32fA6DF82ead1e2EF74d17b76547EDdFaFF89',
                    chainId: ChainId.MATIC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/6952.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/6952.png',
                    },
                },
            ],
            router: '0xa5E0829CaCEd8fFDD4De3c43696c57F7D7A678ff',
            dexFee: 30,
            metaRouter: '0xa260E3732593E4EcF9DdC144fD6C4c5fe7077978',
            metaRouterGateway: '0xAb83653fd41511D638b69229afBf998Eb9B0F30c',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xc5B61b9abC3C6229065cAD0e961aF585C5E0135c',
        },
        {
            id: ChainId.TELOS_MAINNET,
            rpc: 'https://rpc.telos.net',
            spareRpcs: ['https://rpc.ankr.com/telos'],
            filterBlockOffset: 3000,
            stables: [
                {
                    name: 'syUSDC',
                    address: '0xe6E5f3d264117E030C21920356641DbD5B3d660c',
                    symbol: 'USDC',
                    decimals: 6,
                    chainId: 40,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
            ],
            router: '0x9b1adec00a25fffd87a5bb17f61916e1c26f6844',
            dexFee: 25,
            metaRouter: '0x8097f0B9f06C27AF9579F75762F971D745bb222F',
            metaRouterGateway: '0x4949e74094D6F9C06D68e5Ffe388f6542C4b1A34',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x1a039cE63AE35a67Bf0E9F6DbFaE969639D59eC8',
            portal: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
            fabric: '0x8a7F930003BedD63A1ebD99C5917FD6aE7E3dedf',
            multicallRouter: '0xcB28fbE3E9C0FEA62E0E63ff3f232CECfE555aD4',
        },
        {
            id: ChainId.KAVA_MAINNET,
            rpc: 'https://evm.kava.io',
            spareRpcs: [
                'https://kava-evm-rpc.publicnode.com',
                'https://rpc.ankr.com/kava_evm',
                'https://evm.kava-rpc.com',
            ],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Tether USDt',
                    symbol: 'USDt',
                    address: '0x919C1c267BC06a7039e03fcc2eF738525769109c',
                    chainId: 2222,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/825.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/825.png',
                    },
                },
            ],
            router: '0xA7544C409d772944017BB95B99484B6E0d7B6388',
            dexFee: 30,
            metaRouter: '0x77Ed285AD9d1c8C0307eA23DcE68B8a5A6AfB39A',
            metaRouterGateway: '0x0c4313a5dD4990f2fC15c6aA4d287D4602645a05',
            bridge: '0xda8057acB94905eb6025120cB2c38415Fd81BfEB',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.BOBA_MAINNET,
            rpc: 'https://lightning-replica.boba.network',
            spareRpcs: ['https://replica.boba.network', 'https://1rpc.io/boba/eth', 'https://mainnet.boba.network'],
            filterBlockOffset: 3000,
            stables: [
                {
                    name: 'USD Coin',
                    address: '0x66a2A913e447d6b4BF33EFbec43aAeF87890FBbc',
                    symbol: 'USDC',
                    decimals: 6,
                    chainId: ChainId.BOBA_MAINNET,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
            ],
            router: '0x1b02dA8Cb0d097eB8D57A175b88c7D8b47997506',
            dexFee: 30,
            metaRouter: '0xca506793A420E901BbCa8066be5661E3C52c84c2',
            metaRouterGateway: '0xd92Ca299F1C2518E78E48C207b64591BA6E9b9a8',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x506803495B1876FE1fA6Cd9dC65fB060057A4Cc3',
        },
        {
            id: ChainId.BOBA_BNB,
            rpc: 'https://boba-bnb.gateway.tenderly.co',
            spareRpcs: ['https://replica.bnb.boba.network'],
            filterBlockOffset: 3000,
            stables: [
                {
                    name: 'USD Coin',
                    address: '0x9F98f9F312D23d078061962837042b8918e6aff2',
                    symbol: 'USDC',
                    decimals: 18,
                    chainId: ChainId.BOBA_BNB,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
            ],
            router: '0x1b02dA8Cb0d097eB8D57A175b88c7D8b47997506',
            dexFee: 30,
            metaRouter: '0x2cBABD7329b84e2c0A317702410E7c73D0e0246d',
            metaRouterGateway: '0xd666ab407c8E77DB239F473a49E309514aa55e0C',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
            portal: '0x0000000000000000000000000000000000000000',
            fabric: '0x5Aa5f7f84eD0E5db0a4a85C3947eA16B53352FD4',
            multicallRouter: '0xcB28fbE3E9C0FEA62E0E63ff3f232CECfE555aD4',
        },
        {
            id: ChainId.ZKSYNC_MAINNET,
            rpc: 'https://mainnet.era.zksync.io',
            spareRpcs: ['https://rpc.ankr.com/zksync_era', 'https://zksync.meowrpc.com', 'https://zksync.drpc.org'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC.e',
                    address: '0x3355df6D4c9C3035724Fd0e3914dE96A5a83aaf4',
                    chainId: ChainId.ZKSYNC_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    deprecated: true,
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0x1d17CBcF0D6D143135aE902365D2E5e2A16538D4',
                    chainId: ChainId.ZKSYNC_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x5aea5775959fbc2557cc8789bc1bf90a239d9a91',
                    chainId: ChainId.ZKSYNC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    deprecated: true,
                    name: 'Wrapped BTC',
                    symbol: 'WBTC',
                    address: '0xBBeB516fb02a01611cBBE0453Fe3c580D7281011',
                    chainId: ChainId.ZKSYNC_MAINNET,
                    decimals: 8,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3717.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3717.png',
                    },
                },
                {
                    name: 'Symbiosis',
                    symbol: 'SIS',
                    address: '0xdd9f72afED3631a6C85b5369D84875e6c42f1827',
                    chainId: ChainId.ZKSYNC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/15084.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/15084.png',
                    },
                },
                {
                    deprecated: true,
                    name: 'Symbiosis BTC',
                    symbol: 'syBTC',
                    address: '0xED0c95EBe5a3E687cB2224687024FeC6518E683e',
                    chainId: ChainId.ZKSYNC_MAINNET,
                    decimals: 8,
                    icons: {
                        large: 'https://assets.coingecko.com/coins/images/50472/standard/NewOption_06.png?1727849200',
                        small: 'https://assets.coingecko.com/coins/images/50472/standard/NewOption_06.png?1727849200',
                    },
                },
            ],
            router: '0x8B791913eB07C32779a16750e3868aA8495F5964',
            dexFee: 30,
            metaRouter: '0x38307CB291Af47Af9847c134a34E9477c939Ca28',
            metaRouterGateway: '0x8cA239448AdD34b057D1CB5934F12AC899DB66e1',
            bridge: '0x51eE73BEC8521E88042b426F31864f456f2a866e',
            synthesis: '0x07bffC25011901CB01a00127518A154b47eB6e80',
            portal: '0x4f5456d4d0764473DfCA1ffBB8524C151c4F19b9',
            fabric: '0xa43772bC9EA21625A2B0070B7bf006324B7A7FAE',
            multicallRouter: '0xe004DE550074856bD64Cc1A89A8B3b56bD3eAf31',
        },
        {
            id: ChainId.ARBITRUM_MAINNET,
            rpc: 'https://arb1.arbitrum.io/rpc',
            spareRpcs: ['https://rpc.ankr.com/arbitrum', 'https://arbitrum.llamarpc.com', 'https://1rpc.io/arb'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0xaf88d065e77c8cC2239327C5EDb3A432268e5831',
                    chainId: ChainId.ARBITRUM_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    deprecated: true,
                    name: 'USD Coin (Arb1)',
                    symbol: 'USDC.e',
                    address: '0xFF970A61A04b1cA14834A43f5dE4533eBDDB5CC8',
                    chainId: ChainId.ARBITRUM_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x82af49447d8a07e3bd95bd0d56f35241523fbab1',
                    chainId: ChainId.ARBITRUM_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'Symbiosis',
                    symbol: 'SIS',
                    address: '0x9E758B8a98a42d612b3D38B66a22074DC03D7370',
                    chainId: ChainId.ARBITRUM_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/15084.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/15084.png',
                    },
                },
                {
                    name: 'Milady Meme Coin',
                    symbol: 'LADYS',
                    address: '0x3b60FF35D3f7F62d636b067dD0dC0dFdAd670E4E',
                    chainId: ChainId.ARBITRUM_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/25023.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/25023.png',
                    },
                },
                {
                    name: 'Frax',
                    symbol: 'FRAX',
                    address: '0x17FC002b466eEc40DaE837Fc4bE5c67993ddBd6F',
                    chainId: ChainId.ARBITRUM_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/6952.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/6952.png',
                    },
                },
                {
                    name: 'UXLINK Token',
                    symbol: 'UXLINK',
                    address: '0x1A6B3A62391ECcaaa992ade44cd4AFe6bEC8CfF1',
                    chainId: ChainId.ARBITRUM_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32257.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32257.png',
                    },
                },
            ],
            router: '0xD01319f4b65b79124549dE409D36F25e04B3e551',
            dexFee: 30,
            metaRouter: '0xf7e96217347667064DEE8f20DB747B1C7df45DDe',
            metaRouterGateway: '0x80ddDDa846e779cceE463bDC0BCc2Ae296feDaF9',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x326adbE46D7E6C1B3927e9309B96DF478bda6D16',
            portal: '0x01A3c8E513B758EBB011F7AFaf6C37616c9C24d9',
            fabric: '0x2eE9559387b806E88fd46b9DA160D64A29CE7Da0',
            multicallRouter: '0xda8057acB94905eb6025120cB2c38415Fd81BfEB',
        },
        {
            id: ChainId.OPTIMISM_MAINNET,
            rpc: 'https://optimism-rpc.publicnode.com',
            spareRpcs: ['https://mainnet.optimism.io', 'https://rpc.ankr.com/optimism'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC.e',
                    address: '0x7F5c764cBc14f9669B88837ca1490cCa17c31607',
                    chainId: 10,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x4200000000000000000000000000000000000006',
                    chainId: 10,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0x0f91052dc5B4baE53d0FeA5DAe561A117268f5d2',
            metaRouterGateway: '0x200a0fe876421DC49A26508e3Efd0a1008fD12B5',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.ARBITRUM_NOVA,
            rpc: 'https://arbitrum-nova-rpc.publicnode.com',
            spareRpcs: [
                'https://nova.arbitrum.io/rpc',
                'https://rpc.ankr.com/arbitrumnova',
                'https://arbitrum-nova.drpc.org',
            ],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0x750ba8b76187092B0D1E87E28daaf484d1b5273b',
                    chainId: 42170,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x722e8bdd2ce80a4422e880164f2079488e115365',
                    chainId: 42170,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0xEe01c0CD76354C383B8c7B4e65EA88D00B06f36f',
            dexFee: 30,
            metaRouter: '0xca506793A420E901BbCa8066be5661E3C52c84c2',
            metaRouterGateway: '0xd92Ca299F1C2518E78E48C207b64591BA6E9b9a8',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.POLYGON_ZK,
            rpc: 'https://rpc.ankr.com/polygon_zkevm',
            spareRpcs: [
                'https://polygon-zkevm.drpc.org',
                'https://zkevm-rpc.com',
                'https://polygon-zkevm-mainnet.public.blastapi.io',
            ],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0xA8CE8aee21bC2A48a5EF670afCc9274C7bbbC035',
                    chainId: 1101,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    deprecated: true,
                    name: 'USD Coin',
                    symbol: 'USDC.e',
                    address: '0x37eAA0eF3549a5Bb7D431be78a3D99BD360d19e5',
                    chainId: 1101,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x4f9a0e7fd2bf6067db6994cf12e4495df938e6e9',
                    chainId: 1101,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 30,
            metaRouter: '0xb91d3060C90aac7c4c706aef2B37997b3b2a1DcF',
            metaRouterGateway: '0x668961F4923A4FB96b22ad1F18aE215bB2694593',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.LINEA_MAINNET,
            rpc: 'https://rpc.linea.build',
            spareRpcs: ['https://1rpc.io/linea', 'https://linea.drpc.org', 'https://linea.decubate.com'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0xe5D7C2a44FfDDf6b295A15c148167daaAf5Cf34f',
                    chainId: ChainId.LINEA_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0x176211869cA2b568f2A7D4EE941E073a821EE1ff',
                    chainId: ChainId.LINEA_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Symbiosis',
                    symbol: 'SIS',
                    address: '0x6EF95B6f3b0F39508e3E04054Be96D5eE39eDE0d',
                    chainId: ChainId.LINEA_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/15084.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/15084.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 30,
            metaRouter: '0x9A31bAC4b3B958C835C243800B474818D04393dd',
            metaRouterGateway: '0x83f71AabdDBb9F0E3B6462Cc7635b6fFAD0f2f2e',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.MANTLE_MAINNET,
            rpc: 'https://mantle-rpc.publicnode.com',
            spareRpcs: ['https://rpc.mantle.xyz', 'https://rpc.ankr.com/mantle'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0x09Bc4E0D864854c6aFB6eB9A9cdF58aC190D0dF9',
                    chainId: ChainId.MANTLE_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0xdEAddEaDdeadDEadDEADDEAddEADDEAddead1111',
                    chainId: ChainId.MANTLE_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'Catizen',
                    symbol: 'CATI',
                    address: '0x1Bdd8878252DaddD3Af2ba30628813271294eDc0',
                    chainId: ChainId.MANTLE_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32966.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32966.png',
                    },
                },
                {
                    name: 'UXLINK Token',
                    symbol: 'UXLINK',
                    address: '0x482deB2F7B9608a80eA91E71F06380E9891501C6',
                    chainId: ChainId.MANTLE_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32257.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32257.png',
                    },
                },
            ],
            router: '0xDd0840118bF9CCCc6d67b2944ddDfbdb995955FD',
            dexFee: 30,
            metaRouter: '0xca506793A420E901BbCa8066be5661E3C52c84c2',
            metaRouterGateway: '0xd92Ca299F1C2518E78E48C207b64591BA6E9b9a8',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.BASE_MAINNET,
            rpc: 'https://base-rpc.publicnode.com',
            spareRpcs: ['https://mainnet.base.org', 'https://rpc.ankr.com/base'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x4200000000000000000000000000000000000006',
                    chainId: 8453,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'USD Base Coin',
                    symbol: 'USDbC',
                    address: '0xd9aAEc86B65D86f6A7B5B1b0c42FFA531710b6CA',
                    chainId: 8453,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Gravity',
                    symbol: 'G',
                    address: '0x9C7BEBa8F6eF6643aBd725e45a4E8387eF260649',
                    chainId: ChainId.BASE_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32120.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/32120.png',
                    },
                },
            ],
            router: '0x327Df1E6de05895d2ab08513aaDD9313Fe505d86',
            dexFee: 0,
            metaRouter: '0x691df9C4561d95a4a726313089c8536dd682b946',
            metaRouterGateway: '0x41Ae964d0F61Bb5F5e253141A462aD6F3b625B92',
            bridge: '0x8097f0B9f06C27AF9579F75762F971D745bb222F',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0xEE981B2459331AD268cc63CE6167b446AF4161f8',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x01A3c8E513B758EBB011F7AFaf6C37616c9C24d9',
        },
        {
            id: ChainId.TRON_MAINNET,
            rpc: 'https://api.trongrid.io',
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Tether USDt',
                    symbol: 'USDT',
                    address: '0xa614f803b6fd780986a42c78ec9c7f77e6ded13c',
                    chainId: ChainId.TRON_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/825.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/825.png',
                    },
                },
            ],
            router: '0x6E0617948FE030A7E4970F8389D4AD295F249B7E',
            dexFee: 30,
            metaRouter: '0x0863786bbf4561f4a2a8be5a9ddf152afd8ae25c',
            metaRouterGateway: '0x49e1816a2cf475515e7c80c9f0f0e16ae499198b',
            bridge: '0xc5a6517050c44ba78295f57f4754bb68f8705321',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0xd83b5752b42856a08087748de6095af0be52d299',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x354ed0e8616678f2829feb2e2e9a0e0869fa82fb',
        },
        {
            id: ChainId.SCROLL_MAINNET,
            rpc: 'https://rpc.scroll.io',
            spareRpcs: ['https://scroll-rpc.publicnode.com', 'https://rpc.ankr.com/scroll'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x5300000000000000000000000000000000000004',
                    chainId: ChainId.SCROLL_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0x06eFdBFf2a14a7c8E15944D1F4A48F9F95F663A4',
                    chainId: ChainId.SCROLL_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'Symbiosis',
                    symbol: 'SIS',
                    address: '0x1467b62A6AE5CdcB10A6a8173cfe187DD2C5a136',
                    chainId: ChainId.SCROLL_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/15084.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/15084.png',
                    },
                },
                {
                    name: 'pufETH',
                    symbol: 'pufETH',
                    address: '0xc4d46E8402F476F269c379677C99F18E22Ea030e',
                    chainId: ChainId.SCROLL_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/29325.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/29325.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0x624FFe62eBa13e6057878bCA1D7A9E35651E1D9c',
            metaRouterGateway: '0x49952ff32FcBc3408D447E1E91Da2b44BD2D1AFE',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x5Aa5f7f84eD0E5db0a4a85C3947eA16B53352FD4',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x01A3c8E513B758EBB011F7AFaf6C37616c9C24d9',
        },
        {
            id: ChainId.MANTA_MAINNET,
            rpc: 'https://pacific-rpc.manta.network/http',
            spareRpcs: ['https://manta-atlantic-rpc.publicnode.com'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x0Dc808adcE2099A9F62AA87D9670745AbA741746',
                    chainId: ChainId.MANTA_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0xb73603C5d87fA094B7314C74ACE2e64D165016fb',
                    chainId: ChainId.MANTA_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
                {
                    name: 'pufETH',
                    symbol: 'pufETH',
                    address: '0xA53E005Cecd3D7C89A4AE814617cC14828b6527E',
                    chainId: ChainId.MANTA_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/29325.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/29325.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0x318C2B9a03C37702742C3d40C72e4056e430135A',
            metaRouterGateway: '0x027cc92c6892de323Ba664F0B3bA8B602d4116B6',
            bridge: '0xda8057acB94905eb6025120cB2c38415Fd81BfEB',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x5Aa5f7f84eD0E5db0a4a85C3947eA16B53352FD4',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x2b7Aa8bDc40B6d3d19d0dE7480c4db8d5B6495e2',
        },
        {
            id: ChainId.METIS_MAINNET,
            rpc: 'https://andromeda.metis.io/?owner=1088',
            spareRpcs: [
                'https://metis.drpc.org',
                'https://metis-pokt.nodies.app',
                'https://metis-mainnet.public.blastapi.io',
            ],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x420000000000000000000000000000000000000A',
                    chainId: ChainId.METIS_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0xf85FC807D05d3Ab2309364226970aAc57b4e1ea4',
            metaRouterGateway: '0xcd7C056b39DdFB568E451923ABEDb9B6a7Aeb885',
            bridge: '0x01A3c8E513B758EBB011F7AFaf6C37616c9C24d9',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0xd8db4fb1fEf63045A443202d506Bcf30ef404160',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x5Aa5f7f84eD0E5db0a4a85C3947eA16B53352FD4',
        },
        {
            id: ChainId.BAHAMUT_MAINNET,
            rpc: 'https://bahamut-eu-1.nodes.guru',
            spareRpcs: ['https://bahamut-rpc.publicnode.com', 'https://rpc.ankr.com/bahamut'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0x4237e0A5b55233D5B6D6d1D9BF421723954130D8',
                    chainId: ChainId.BAHAMUT_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                    },
                },
            ],
            router: '0xF660558a4757Fb5953d269FF32E228Ae3d5f6c68', // silkswap
            dexFee: 30,
            metaRouter: '0xf85FC807D05d3Ab2309364226970aAc57b4e1ea4',
            metaRouterGateway: '0xcd7C056b39DdFB568E451923ABEDb9B6a7Aeb885',
            bridge: '0x1ac4C50080871D7a24DD705dE9eFe5FF14bC0Ea2',
            synthesis: '0xB79A4F5828eb55c10D7abF4bFe9a9f5d11aA84e0',
            portal: '0x318C2B9a03C37702742C3d40C72e4056e430135A',
            fabric: '0xA257F3FE4E4032291516DC355eDF90664e9eB932',
            multicallRouter: '0x3E6A3EbbC9D88ACC192221797ad90BF72d391778',
        },
        {
            id: ChainId.MODE_MAINNET,
            rpc: 'https://mainnet.mode.network',
            spareRpcs: ['https://1rpc.io/mode', 'https://mode.drpc.org'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0x4200000000000000000000000000000000000006',
                    chainId: ChainId.MODE_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x5D61c537393cf21893BE619E36fC94cd73C77DD3',
            dexFee: 30,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.RSK_MAINNET,
            rpc: 'https://public-node.rsk.co',
            spareRpcs: ['https://go.getblock.io/a4cf9dc5a3e347aaa1bb46315f2b874d', 'https://mycrypto.rsk.co'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Tether USD',
                    symbol: 'rUSDT',
                    address: '0xef213441a85df4d7acbdae0cf78004e1e486bb96',
                    chainId: ChainId.RSK_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/825.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/825.png',
                    },
                },
                {
                    name: 'Bridged USDC (Stargate)',
                    symbol: 'USDC.e',
                    address: '0x74c9f2b00581f1b11aa7ff05aa9f608b7389de67',
                    chainId: ChainId.RSK_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3408.png',
                    },
                },
                {
                    name: 'Wrapped RBTC',
                    symbol: 'WRBTC',
                    address: '0x542fda317318ebf1d3deaf76e0b632741a7e677d',
                    chainId: ChainId.RSK_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32702.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/32702.png',
                    },
                },
                {
                    name: 'Symbiosis BTC',
                    symbol: 'syBTC',
                    address: '0xB52E582263c1d0189b3cc1402c1B7205b7F2E9Ba',
                    chainId: ChainId.RSK_MAINNET,
                    decimals: 8,
                    icons: {
                        large: 'https://assets.coingecko.com/coins/images/50472/standard/NewOption_06.png?1727849200',
                        small: 'https://assets.coingecko.com/coins/images/50472/standard/NewOption_06.png?1727849200',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0x7057ab3fb2bee9c18e0cde4240de4ff7f159e365',
            metaRouterGateway: '0xfffdb2a69abcbbf55ecb2f6b348e0bd3d0f9f2e1',
            bridge: '0xda8057acb94905eb6025120cb2c38415fd81bfeb',
            synthesis: '0xf8504d2ca2f0bbad9d36927e3d32e278abadada0',
            portal: '0x5aa5f7f84ed0e5db0a4a85c3947ea16b53352fd4',
            fabric: '0x7775b274f0c3fa919b756b22a4d9674e55927ab8',
            multicallRouter: '0x01a3c8e513b758ebb011f7afaf6c37616c9c24d9',
        },
        {
            id: ChainId.BLAST_MAINNET,
            rpc: 'https://blast-rpc.publicnode.com',
            spareRpcs: ['https://rpc.blast.io', 'https://rpc.ankr.com/blast'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped ETH',
                    symbol: 'WETH',
                    address: '0x4300000000000000000000000000000000000004',
                    chainId: ChainId.BLAST_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0x7057aB3fB2BeE9c18e0cDe4240DE4ff7f159E365',
            metaRouterGateway: '0xa0079829B9F1Edc5DD0DE3eC104f281745C4bD81',
            bridge: '0xda8057acB94905eb6025120cB2c38415Fd81BfEB',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x5Aa5f7f84eD0E5db0a4a85C3947eA16B53352FD4',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x01A3c8E513B758EBB011F7AFaf6C37616c9C24d9',
        },
        {
            id: ChainId.MERLIN_MAINNET,
            rpc: 'https://rpc.merlinchain.io',
            spareRpcs: ['https://merlin.blockpi.network/v1/rpc/public'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped BTC',
                    symbol: 'WBTC',
                    address: '0xF6D226f9Dc15d9bB51182815b320D3fBE324e1bA',
                    chainId: ChainId.MERLIN_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3717.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3717.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.ZKLINK_MAINNET,
            rpc: 'https://rpc.zklink.io',
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped ETH',
                    symbol: 'WETH',
                    address: '0x8280a4e7D5B3B658ec4580d3Bc30f5e50454F169',
                    chainId: ChainId.ZKLINK_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'pufETH',
                    symbol: 'pufETH',
                    address: '0x1B49eCf1A8323Db4abf48b2F5EFaA33F7DdAB3FC',
                    chainId: ChainId.ZKLINK_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/29325.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/29325.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0xAcb35C2D11FEA8849cd9f5Ff6fBC56bB5296641B',
            metaRouterGateway: '0xe4E794C74558057E09e9131705f5F92aAfD8Dd31',
            bridge: '0x2E818E50b913457015E1277B43E469b63AC5D3d7',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x8Dc71561414CDcA6DcA7C1dED1ABd04AF474D189',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x4c398CB4b7D4d31a54D254d8Aed09B9e8353E80E',
        },
        {
            id: ChainId.CORE_MAINNET,
            rpc: 'https://rpc.coredao.org',
            spareRpcs: ['https://rpc.ankr.com/core', 'https://1rpc.io/core'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Core Wrapped BTC Token',
                    symbol: 'coreBTC',
                    address: '0x8034aB88C3512246Bf7894f57C834DdDBd1De01F',
                    chainId: ChainId.CORE_MAINNET,
                    decimals: 8,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1.png',
                    },
                },
            ],
            router: '0x4ddDD324F205e5989bAF8aD0FFCa41f4E5d9841D',
            dexFee: 0,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.TAIKO_MAINNET,
            rpc: 'https://rpc.mainnet.taiko.xyz',
            spareRpcs: ['https://taiko-rpc.publicnode.com', 'https://rpc.ankr.com/taiko'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped Ether',
                    symbol: 'WETH',
                    address: '0xA51894664A773981C6C112C43ce576f315d5b1B6',
                    chainId: ChainId.TAIKO_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0x7057aB3fB2BeE9c18e0cDe4240DE4ff7f159E365',
            metaRouterGateway: '0xa0079829B9F1Edc5DD0DE3eC104f281745C4bD81',
            bridge: '0xda8057acB94905eb6025120cB2c38415Fd81BfEB',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x5Aa5f7f84eD0E5db0a4a85C3947eA16B53352FD4',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x01A3c8E513B758EBB011F7AFaf6C37616c9C24d9',
        },
        {
            id: ChainId.SEI_EVM_MAINNET,
            rpc: 'https://evm-rpc.sei-apis.com',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USDT',
                    symbol: 'USDT',
                    address: '0xB75D0B03c06A926e488e2659DF1A861F860bD3d1',
                    chainId: ChainId.SEI_EVM_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/825.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/825.png',
                    },
                },
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0x3894085Ef7Ff0f0aeDf52E2A2704928d1Ec074F1',
                    chainId: ChainId.SEI_EVM_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3408.png',
                    },
                },
                {
                    name: 'GPT Wars',
                    symbol: 'GPTW',
                    address: '0xcB0DdC112EF317271266c83D7179Bf9186b9C658',
                    chainId: ChainId.SEI_EVM_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://assets.coingecko.com/coins/images/51157/standard/GPTW_200x200.png?1730238893',
                        small: 'https://assets.coingecko.com/coins/images/51157/standard/GPTW_200x200.png?1730238893',
                    },
                },
            ],
            router: '0xa4cF2F53D1195aDDdE9e4D3aCa54f556895712f2',
            dexFee: 30,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.ZETACHAIN_MAINNET,
            rpc: 'https://zetachain-evm.blockpi.network/v1/rpc/public',
            spareRpcs: ['https://zetachain-mainnet-archive.allthatnode.com:8545'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'pufETH',
                    symbol: 'pufETH',
                    address: '0x1e4bF3CaBD7707089138dD5a545B077413FA83Fc',
                    chainId: ChainId.ZETACHAIN_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/29325.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/29325.png',
                    },
                },
                {
                    name: 'ZetaChain ZRC20 USDC on ETH',
                    symbol: 'USDC.ETH',
                    address: '0x0cbe0dF132a6c6B4a2974Fa1b7Fb953CF0Cc798a',
                    chainId: ChainId.ZETACHAIN_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3408.png',
                    },
                },
            ],
            router: '0x2ca7d64A7EFE2D62A725E2B35Cf7230D6677FfEe',
            dexFee: 0,
            metaRouter: '0x01A3c8E513B758EBB011F7AFaf6C37616c9C24d9',
            metaRouterGateway: '0xcB341279c0A071bfC14e69450Add47c568c4ddAC',
            bridge: '0x5Aa5f7f84eD0E5db0a4a85C3947eA16B53352FD4',
            synthesis: '0x2b7Aa8bDc40B6d3d19d0dE7480c4db8d5B6495e2',
            portal: '0x8a7F930003BedD63A1ebD99C5917FD6aE7E3dedf',
            fabric: '0x1a039cE63AE35a67Bf0E9F6DbFaE969639D59eC8',
            multicallRouter: '0xd8db4fb1fEf63045A443202d506Bcf30ef404160',
        },
        {
            id: ChainId.CRONOS_MAINNET,
            rpc: 'https://evm.cronos.org',
            spareRpcs: ['https://rpc.nebkas.ro', 'https://cronos-evm-rpc.publicnode.com'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0xc21223249ca28397b4b6541dffaecc539bff0c59',
                    chainId: ChainId.CRONOS_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3408.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0xE75C7E85FE6ADd07077467064aD15847E6ba9877',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
        },
        {
            id: ChainId.FRAXTAL_MAINNET,
            rpc: 'https://rpc.frax.com',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped ETH',
                    symbol: 'WETH',
                    address: '0xA8a59D73388D0c4344a7b0Ba287ddb654227c38a',
                    chainId: ChainId.FRAXTAL_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'Frax USD',
                    symbol: 'frxUSD',
                    address: '0xfc00000000000000000000000000000000000001',
                    chainId: ChainId.FRAXTAL_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/36039.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/36039.png',
                    },
                },
            ],
            router: '0x000000008096D9dED037d4dB3fe57764B996BC86',
            dexFee: 30,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.GRAVITY_MAINNET,
            rpc: 'https://rpc.gravity.xyz',
            spareRpcs: ['https://rpc.ankr.com/gravity'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Bridged USDC (Stargate)',
                    symbol: 'USDC.e',
                    address: '0xFbDa5F676cB37624f28265A144A48B0d6e87d3b6',
                    chainId: ChainId.GRAVITY_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3408.png',
                    },
                },
                {
                    name: 'Gravity',
                    symbol: 'wG',
                    address: '0xBB859E225ac8Fb6BE1C7e38D87b767e95Fef0EbD',
                    chainId: ChainId.GRAVITY_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32120.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/32120.png',
                    },
                },
            ],
            router: '0x18E621B64d7808c3C47bccbbD7485d23F257D26f',
            dexFee: 0,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.BSQUARED_MAINNET,
            rpc: 'https://rpc.bsquared.network',
            spareRpcs: ['https://b2-mainnet.alt.technology'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped BTC',
                    symbol: 'WBTC',
                    address: '0x4200000000000000000000000000000000000006',
                    chainId: ChainId.BSQUARED_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3717.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3717.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.TON_MAINNET,
            rpc: 'https://mainnet-v4.tonhubapi.com',
            filterBlockOffset: 0,
            stables: [
                {
                    name: 'USDt',
                    symbol: 'USDT',
                    address: '0x9328Eb759596C38a25f59028B146Fecdc3621Dfe',
                    chainId: ChainId.TON_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/825.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/825.png',
                    },
                    attributes: {
                        ton: 'EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs',
                    },
                },
                {
                    name: 'UXLINK Token',
                    symbol: 'UXLINK',
                    address: '0x678F2a82c73C69338a00d1Cf2BA8aB7887BD3293',
                    chainId: ChainId.TON_MAINNET,
                    decimals: 9,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32257.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/32257.png',
                    },
                    attributes: {
                        ton: 'EQBh9XACT0B60U8Q48VnjyqCxzxpM4oA0c8rqKt4h70yk1V5',
                    },
                },
                {
                    name: 'Catizen',
                    symbol: 'CATI',
                    address: '0x73f9a6D3AD10BaB08E6dbC7bEfa5e42b695F5400',
                    chainId: ChainId.TON_MAINNET,
                    decimals: 9,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/33057.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/33057.png',
                    },
                    attributes: {
                        ton: 'EQD-cvR0Nz6XAyRBvbhz-abTrRC6sI5tvHvvpeQraV9UAAD7',
                    },
                },
                {
                    name: 'PinEye',
                    symbol: 'PINEYE',
                    address: '0x0d2d353642cFFC051A2694C51B6C00e787EB4590',
                    chainId: ChainId.TON_MAINNET,
                    decimals: 9,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/33862.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/33862.png',
                    },
                    attributes: {
                        ton: 'EQDY2MzMJY_9OWm9UyQNLTU2Qs_8BRomlMUbbADnh-tFkLaU',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0x0000000000000000000000000000000000000000',
            metaRouterGateway: '0x0000000000000000000000000000000000000000',
            bridge: '0x0000000000000000000000000000000000000000',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x0000000000000000000000000000000000000000',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x0000000000000000000000000000000000000000',
            tonPortal: 'EQBZh9CpLZyNlwI7am0PHpVy8T8zdJxAhlG3m3xMi0BoVaUh',
        },
        {
            id: ChainId.CRONOS_ZK_MAINNET,
            rpc: 'https://mainnet.zkevm.cronos.org',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0xaa5b845f8c9c047779bedf64829601d8b264076c',
                    chainId: ChainId.CRONOS_ZK_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3408.png',
                    },
                },
            ],
            router: '0x39ad8c3067281e60045df041846ee01c1dd3a853', // H2 Finance
            dexFee: 30,
            metaRouter: '0x681BeeF15D68E4abae4d912ACF3Df5D589fe61B9',
            metaRouterGateway: '0x17D51F08C2044fAbFeFE2C58564Bd89BF2DE1C4d',
            bridge: '0xe004DE550074856bD64Cc1A89A8B3b56bD3eAf31',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x2E818E50b913457015E1277B43E469b63AC5D3d7',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xAcb35C2D11FEA8849cd9f5Ff6fBC56bB5296641B',
        },
        {
            id: ChainId.MORPH_MAINNET,
            rpc: 'https://rpc.morphl2.io',
            spareRpcs: ['https://rpc-quicknode.morphl2.io'],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC',
                    address: '0xe34c91815d7fc18A9e2148bcD4241d0a5848b693',
                    chainId: ChainId.MORPH_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3408.png',
                    },
                },
            ],
            router: '0x81606E6f8aAD6C75c2f383Ea595c2b9f8ce8aE3a', // bulba swap
            dexFee: 35,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.SOLANA_MAINNET,
            rpc: 'https://solana-rpc.publicnode.com',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0x0000000000000000000000000000000000000000',
            metaRouterGateway: '0x0000000000000000000000000000000000000000',
            bridge: '0x0000000000000000000000000000000000000000',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x0000000000000000000000000000000000000000',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x0000000000000000000000000000000000000000',
        },
        {
            id: ChainId.GOAT_MAINNET,
            rpc: 'https://rpc.goat.network',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped Goat BTC',
                    symbol: 'WGBTC',
                    address: '0xbC10000000000000000000000000000000000000',
                    chainId: ChainId.GOAT_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.SONIC_MAINNET,
            rpc: 'https://rpc.soniclabs.com',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped Ethereum',
                    symbol: 'WETH',
                    address: '0x50c42dEAcD8Fc9773493ED674b675bE577f2634b',
                    chainId: ChainId.SONIC_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0xda8057acB94905eb6025120cB2c38415Fd81BfEB',
            metaRouterGateway: '0xb7aF032a0C8d350705eD7E4E3802377731a0cA07',
            bridge: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0xE75C7E85FE6ADd07077467064aD15847E6ba9877',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
        },
        {
            id: ChainId.ABSTRACT_MAINNET,
            rpc: 'https://api.mainnet.abs.xyz',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped Ethereum',
                    symbol: 'WETH',
                    address: '0x3439153eb7af838ad19d56e1571fbd09333c2809',
                    chainId: ChainId.ABSTRACT_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0x2E818E50b913457015E1277B43E469b63AC5D3d7',
            metaRouterGateway: '0x664376638fE57642342009f49E1Ca4caf74b26D3',
            bridge: '0xAcb35C2D11FEA8849cd9f5Ff6fBC56bB5296641B',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x8Dc71561414CDcA6DcA7C1dED1ABd04AF474D189',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0x4c398CB4b7D4d31a54D254d8Aed09B9e8353E80E',
        },
        {
            id: ChainId.GNOSIS_MAINNET,
            rpc: 'https://rpc.gnosischain.com',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'USD Coin',
                    symbol: 'USDC.e',
                    address: '0x2a22f9c3b484c3629090feed35f17ff8f88f76f0',
                    chainId: ChainId.GNOSIS_MAINNET,
                    decimals: 6,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/3408.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/3408.png',
                    },
                },
                {
                    name: 'Wrapped Ethereum',
                    symbol: 'WETH',
                    address: '0x6A023CCd1ff6F2045C3309768eAd9E68F978f6e1',
                    chainId: ChainId.GNOSIS_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.BERACHAIN_MAINNET,
            rpc: 'https://rpc.berachain.com',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped ETH',
                    symbol: 'WETH',
                    address: '0x2F6F07CDcf3588944Bf4C42aC74ff24bF56e7590',
                    chainId: ChainId.BERACHAIN_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0xd91dd58387Ccd9B66B390ae2d7c66dBD46BC6022',
            dexFee: 0,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.UNICHAIN_MAINNET,
            rpc: 'https://unichain-rpc.publicnode.com',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped ETH',
                    symbol: 'WETH',
                    address: '0x4200000000000000000000000000000000000006',
                    chainId: ChainId.UNICHAIN_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x284f11109359a7e1306c3e447ef14d38400063ff',
            dexFee: 30,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.SONEIUM_MAINNET,
            rpc: 'https://rpc.soneium.org',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped ETH',
                    symbol: 'WETH',
                    address: '0x4200000000000000000000000000000000000006',
                    chainId: ChainId.SONEIUM_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0x3c56C7C1Bfd9dbC14Ab04935f409d49D3b7A802E',
            dexFee: 30,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.OPBNB_MAINNET,
            rpc: 'https://opbnb-rpc.publicnode.com/',
            spareRpcs: [],
            filterBlockOffset: 1000,
            stables: [
                {
                    name: 'Wrapped ETH',
                    symbol: 'WETH',
                    address: '0xE7798f023fC62146e8Aa1b36Da45fb70855a77Ea',
                    chainId: ChainId.OPBNB_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
                {
                    name: 'Wrapped BNB',
                    symbol: 'WBNB',
                    address: '0x4200000000000000000000000000000000000006',
                    chainId: ChainId.OPBNB_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/7192.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/64x64/7192.png',
                    },
                },
            ],
            router: '0x0000000000000000000000000000000000000000',
            dexFee: 0,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
        {
            id: ChainId.HYPERLIQUID_MAINNET,
            rpc: 'https://rpc.hyperliquid.xyz/evm',
            spareRpcs: [],
            filterBlockOffset: 500,
            stables: [
                {
                    name: 'Unit ETH',
                    symbol: 'UETH',
                    address: '0xbe6727b535545c67d5caa73dea54865b92cf7907',
                    chainId: ChainId.HYPERLIQUID_MAINNET,
                    decimals: 18,
                    icons: {
                        large: 'https://s2.coinmarketcap.com/static/img/coins/64x64/1027.png',
                        small: 'https://s2.coinmarketcap.com/static/img/coins/128x128/1027.png',
                    },
                },
            ],
            router: '0xb4a9C4e6Ea8E2191d2FA5B380452a634Fb21240A',
            dexFee: 30,
            metaRouter: '0xcE8f24A58D85eD5c5A6824f7be1F8d4711A0eb4C',
            metaRouterGateway: '0xAdB2d3b711Bb8d8Ea92ff70292c466140432c278',
            bridge: '0x5523985926Aa12BA58DC5Ad00DDca99678D7227E',
            synthesis: '0x0000000000000000000000000000000000000000',
            portal: '0x292fC50e4eB66C3f6514b9E402dBc25961824D62',
            fabric: '0x0000000000000000000000000000000000000000',
            multicallRouter: '0xb8f275fBf7A959F4BCE59999A2EF122A099e81A8',
        },
    ],
}
